%bcond_with bootstrap
Name:           python-wheel
Version:        0.37.0
Release:        6
Epoch:          1
Summary:        Built-package format for Python
License:        MIT
URL:            https://github.com/pypa/wheel
Source0:        %{url}/archive/%{version}/wheel-%{version}.tar.gz
BuildArch:      noarch

Patch01:        0001-Fixed-wheel-pack-duplicating-WHEEL-contents-on-build.patch
Patch02:        0001-Support-unpacking-wheels-that-contain-files-with-com.patch
Patch03:        CVE-2022-40898.patch

%description
A built-package format for Python.
A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%package -n     python3-wheel
Summary:        Built-package format for Python
BuildRequires:  python3-devel python3-setuptools
%if %{without bootstrap}
BuildRequires:  python3-pytest python3-pyxdg 
%endif
%{?python_provide:%python_provide python3-wheel}

%description -n python3-wheel
A built-package format for Python.
A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.
Python 3 version.


%if %{without bootstrap}
%package wheel
Summary:        The Python wheel module packaged as a wheel

%description wheel
A Python wheel of wheel to use with virtualenv.
%endif


%prep
%autosetup -n wheel-%{version} -p1

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/wheel{,-%{python3_version}}
ln -s wheel-%{python3_version} %{buildroot}%{_bindir}/wheel-3

%if %{without bootstrap}
# We can only use bdist_wheel when wheel is installed, hence we don't build the wheel in %%build
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%py3_build_wheel 
install -d %{buildroot}%{_datadir}/python-wheels
install -p dist/wheel-%{version}-py2.py3-none-any.whl -t %{buildroot}%{_datadir}/python-wheels


%check
rm setup.cfg
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-3 -v --ignore build
%endif


%files -n python3-wheel
%license LICENSE.txt
%doc README.rst
%{_bindir}/wheel-3*
%{python3_sitelib}/wheel*

%if %{without bootstrap}
%files wheel
%license LICENSE.txt
%dir %{_datadir}/python-wheels/
%{_datadir}/python-wheels/wheel-%{version}-py2.py3-none-any.whl
%endif

%changelog
* Thu Dec 07 2023 wangkai <13474090681@163.com> - 1:0.37.0-6
- Fix CVE-2022-40898

* Wed Nov 8 2023 liubo <liubo1@xfusion.com> - 1:0.37.0-5
- Support unpacking wheels that contain files with commas in their names

* Tue Oct 17 2023 liubo <liubo1@xfusion.com> - 1:0.37.0-4
- Fixed the non-standard format of changelog

* Thu Oct 12 2023 liubo <liubo1@xfusion.com> - 1:0.37.0-3
- Fixed wheel pack duplicating WHEEL contents on build number

* Thu Oct 27 2022 zhangruifang <zhangruifang1@h-partners.com> - 0.37.0-2
- Rebuild for next release

* Tue Dec 21 2021 shixuantong<shixuantong@huawei.com> - 0.37.0-1
- update version to 0.37.0

* Tue Jul 27 2021 shixuantong<shixuantong@huawei.com> - 0.36.2-2
- remove useless BuildRequires 

* Wed Feb 03 2021 shixuantong<shixuantong@huawei.com> - 0.36.2-1
- upgrade version to 0.36.2

* Mon Nov 2 2020 wangjie<wangjie294@huawei.com> -0.31.1-5
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2

* Mon Dec 2 2019 yangjian<yangjian79@huawei.com> - 1:0.31.1-4
- Package init
